#ifndef _HW_CONFIG_H
#define _HW_CONFIG_H

#define START RB5
#define GOAL RB7
#define IRA RB6
#define SWCH RB4
#define SPK LATB3
#define PORT_SG PORTB

#define MASK_SG 0b10100000  // START and GOAL
#define MASK_COURSE 0b01000000  // iraira course
#define MASK_START 0b00100000     // goal of reverse
#define MASK_GOAL 0b10000000 // goal of forword
#define MASK_SW 0b00010000  // switch

#define INIT_HW() init_hw_p16f1827()

void init_hw_p16f1827(void);

#endif