#ifndef _SOUND_H
#define _SOUND_H

#ifndef _XTAL_FREQ
#define _XTAL_FREQ 4000000	// 4MHz
#endif

// Fosc = 4MHz / PWM TMR2 PS = 1:16
#define NOTE4C  239/2
#define NOTE4Cs 225/2
#define NOTE4D  213/2
#define NOTE4Ds 201/2
#define NOTE4E  190/2
#define NOTE4F  179/2
#define NOTE4Fs 169/2
#define NOTE4G  159/2
#define NOTE4Gs 150/2
#define NOTE4A  142/2
#define NOTE4As 134/2
#define NOTE4B  127/2
#define NOTE5C  119/2

const unsigned char note_ary[] = {NOTE4C, NOTE4Cs, NOTE4D, NOTE4Ds, NOTE4E,
    NOTE4F, NOTE4Fs, NOTE4G, NOTE4Gs, NOTE4A, NOTE4As, NOTE4B, NOTE5C};

unsigned char t0_add;

void sdelay_100ms(void);
void sdelay_200ms(void);
void sound_on(unsigned char note);
void sound_off(void);
void sound_on_10ms(unsigned char s, unsigned char t);
void sound_pkmn(void);

#endif