#include "pic.h"
#include "HW_Config.h"
#include "sound.h"

void sound_on(unsigned char note)
{
    CCP1CON = 0b00001100;
    PR2 = note;
    CCPR1L = note >> 1;

    TMR2ON = 1;
}

void sound_off(void)
{
    CCP1CON = 0;
    TMR2ON = 0;
    SPK = 0;
}

void sdelay_100ms(void){
    __delay_ms(100);
}

void sdelay_200ms(void){
    __delay_ms(200);
}


void sound_on_10ms(unsigned char s, unsigned char t)
{
    // t / 10msec
    sound_on(note_ary[s]);
//    t0 = tone_prd[s];
//    TMR0 = t0;
//    INTCON = 0b11100000;            // GIE, PIE, T0IE = 1
    for(;t>0;t--)
        __delay_ms(10);
    sound_off();
}

void sound_pkmn(void){
    sound_on_10ms(7, 20);
    sdelay_200ms();
    sound_on_10ms(7, 20);
    sdelay_200ms();
    sound_on_10ms(7, 10);
    sdelay_100ms();
    sound_on_10ms(4, 10);
    sdelay_100ms();
    sound_on_10ms(12, 30);
}